curl 'https://api.sandbox.uqpay.org/api/v1/payouts/create' \
-H 'content-type: application/json' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG' \
--data-raw '{"currency":"SGD","amount":"50","payout_reason":"test","payout_reference":"test","payment_date":"2023-09-13","beneficiary_id":"83c43be5-44f0-4fb1-aa1a-ba8b05f3a3e5","is_payer":"Y","payer_id":"0"}'
{
"code": 200,
"message": "Success",
"data": {
"amount": "100",
"beneficiary_id": "56f3d71d-f732-44c8-8833-55536941e2b0",
"create_time": "2023-10-23T17:49:08.090161+08:00",
"currency": "USD",
"id": "80f11927-ad7f-4182-817b-629a470330c3",
"payer_id": "0",
"payment_date": "2023-10-23T00:00:00+08:00",
"reason": "test payout",
"reference": "test payout",
"short_reference": "P231023-TBPQBNDP",
"status": "processing",
"unique_request_id": "fdf26c91-27a1-42bb-9654-a69c744b3b34",
"update_time": "2023-10-23T17:49:08.090161+08:00"
}
}
Payout
Create a new payout
This endpoint create a new payout to a beneficiary. The payout only supported the same currency between payer and beneficiary.
POST
/
api
/
v1
/
payouts
/
create
curl 'https://api.sandbox.uqpay.org/api/v1/payouts/create' \
-H 'content-type: application/json' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG' \
--data-raw '{"currency":"SGD","amount":"50","payout_reason":"test","payout_reference":"test","payment_date":"2023-09-13","beneficiary_id":"83c43be5-44f0-4fb1-aa1a-ba8b05f3a3e5","is_payer":"Y","payer_id":"0"}'
{
"code": 200,
"message": "Success",
"data": {
"amount": "100",
"beneficiary_id": "56f3d71d-f732-44c8-8833-55536941e2b0",
"create_time": "2023-10-23T17:49:08.090161+08:00",
"currency": "USD",
"id": "80f11927-ad7f-4182-817b-629a470330c3",
"payer_id": "0",
"payment_date": "2023-10-23T00:00:00+08:00",
"reason": "test payout",
"reference": "test payout",
"short_reference": "P231023-TBPQBNDP",
"status": "processing",
"unique_request_id": "fdf26c91-27a1-42bb-9654-a69c744b3b34",
"update_time": "2023-10-23T17:49:08.090161+08:00"
}
}
Header
Parameters
Currency of the account balance.
Three-letter ISO 4217 currency code.
Three-letter ISO 4217 currency code.
Payer’s country.
Two-letter ISO 3166-2 country code.
Two-letter ISO 3166-2 country code.
Payer’s identification type. Depends on the value of
entity_type.| entity_type | identification_type |
|---|---|
| individual | One of passport, drivers_license, national_id |
| company | Only incorporation_number |
Response
curl 'https://api.sandbox.uqpay.org/api/v1/payouts/create' \
-H 'content-type: application/json' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG' \
--data-raw '{"currency":"SGD","amount":"50","payout_reason":"test","payout_reference":"test","payment_date":"2023-09-13","beneficiary_id":"83c43be5-44f0-4fb1-aa1a-ba8b05f3a3e5","is_payer":"Y","payer_id":"0"}'
{
"code": 200,
"message": "Success",
"data": {
"amount": "100",
"beneficiary_id": "56f3d71d-f732-44c8-8833-55536941e2b0",
"create_time": "2023-10-23T17:49:08.090161+08:00",
"currency": "USD",
"id": "80f11927-ad7f-4182-817b-629a470330c3",
"payer_id": "0",
"payment_date": "2023-10-23T00:00:00+08:00",
"reason": "test payout",
"reference": "test payout",
"short_reference": "P231023-TBPQBNDP",
"status": "processing",
"unique_request_id": "fdf26c91-27a1-42bb-9654-a69c744b3b34",
"update_time": "2023-10-23T17:49:08.090161+08:00"
}
}